Skip to main content
POST
/
v1
/
users
/
{user_id}
/
notification_rules
Creates an user notification rule
curl --request POST \
  --url https://api.rootly.com/v1/users/{user_id}/notification_rules \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "user_notification_rules",
    "attributes": {
      "enabled_contact_types": [],
      "delay": 123,
      "position": 123,
      "user_email_address_id": "<string>",
      "user_call_number_id": "<string>",
      "user_sms_number_id": "<string>",
      "user_device_id": "<string>"
    }
  }
}
'
import requests

url = "https://api.rootly.com/v1/users/{user_id}/notification_rules"

payload = { "data": {
"type": "user_notification_rules",
"attributes": {
"enabled_contact_types": [],
"delay": 123,
"position": 123,
"user_email_address_id": "<string>",
"user_call_number_id": "<string>",
"user_sms_number_id": "<string>",
"user_device_id": "<string>"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'user_notification_rules',
attributes: {
enabled_contact_types: [],
delay: 123,
position: 123,
user_email_address_id: '<string>',
user_call_number_id: '<string>',
user_sms_number_id: '<string>',
user_device_id: '<string>'
}
}
})
};

fetch('https://api.rootly.com/v1/users/{user_id}/notification_rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "type": "user_notification_rules",
    "attributes": {
      "user_id": 123,
      "delay": 123,
      "position": 123,
      "user_email_address_id": "<string>",
      "user_call_number_id": "<string>",
      "user_sms_number_id": "<string>",
      "user_device_id": "<string>",
      "enabled_contact_types": [],
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {},
      "relationships": {}
    }
  ]
}
{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}
{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user_id
string
required

Body

application/vnd.api+json
data
object
required

Response

user_notification_rule created

data
object
required
included
object[]